#pragma once
#include "Texture.h"

class Particle {
public:
	Particle() = default;
	Particle(const Vector2f& pos, const Vector2f& velocity,float lifetime, Texture* pTexture);
	void Update(float elapsedSec);
	void Draw() const;
	bool IsDead() const;

private:
	Vector2f m_Position;
	Vector2f m_Velocity;
	Vector2f m_Acceleration;

	float m_LifeTime;

	Texture* m_pTexture;
};
